require("spine")

--[[ API
setMix(globalMixDuration)
setMix(fromAnimation,toAnimation,mixDuration)
addAnimation(track,animation,mixDuration,loop,delay)
setAnimation(track,animation,mixDuration,loop)
]]

local s=SpineSprite.new("data/raptor-pro.json","data/raptor.atlas")
--local s=SpineSprite.new("data/tank-pro.json","data/tank.atlas")
stage:addChild(s)
s:setScale(0.1)
s:setPosition(100,100)
s:setAnimation(0,"walk",nil,true)
s:setMix(0.3)
activeSkeleton=2

stage:addEventListener(Event.KEY_DOWN, function(event)
	if activeSkeleton == 2  then
		s:setAnimation(0, "jump", nil, false)
		s:addAnimation(0, "walk", nil,true, 0)
	end
end)
